

body, html {
    color: #3A3A3A;
    font-family: 'Comfortaa';
    overflow: hidden;
    height: 100vh;
    font-size: 16px;
}

body.front, body.contact {
    background: #fff url(../img/bg-front.jpg) 50% 0% no-repeat;
    background-size: cover;
}

body.front main {
    padding-top: 20vh;
    z-index: 10;
    position: relative;
    pointer-events: none;
}

body.front h1 {
    text-transform: uppercase;
    font-size: 3.5em;
    font-family: 'Comfortaa';
    font-weight: 700;
    color: #676767;
}

body.front h1 span {
    color: #1B8EE0;
}

body.front .lead {
    font-size: 1.5em;
    font-weight: 500;
}

body.front header, body.contact header {
    z-index: 10;
    min-height: 48px;
}

.navbar-nav .nav-link {
    color: #3A3A3A;
    text-decoration: none;
    font-size: 1.5em;
    margin-right: 5px;
    font-family: 'Comfortaa';
}

.navbar-nav .nav-link:last-child {
    margin-right: 0;
}

video.bg {
    position: fixed; 
    top: 0; left: 0; right: 0; bottom: 0; width: 100%; height: 100%;
    object-fit: cover;  
    pointer-events: none;
}


.navbar-toggler-icon{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%2858, 58, 58, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.navbar-toggler:focus {
    outline: none;
    border: 0;
    box-shadow: none;
}

#bg-gradient {
    position: fixed; top: 0; left: 0; width: 100vw; height:100vh; pointer-events: none;
    background: linear-gradient(45deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 10%, rgba(255,255,255,0) 60%, rgba(255,255,255,0) 100%);
}


@media (max-width: 991.98px) {

    body {
        font-size: 14px;
    }

    #bg-gradient {
        background: linear-gradient(45deg, rgba(255,255,255,1) 0%,  rgba(255,255,255,0) 100%);
    }
    

    .navbar-brand img {
        height: 30px !important; width: auto !important;
    }

    .navbar-brand img.fix {
        margin-bottom: -3px;
        height: 28px;;
    }

    .navbar .container {
        position: relative;
    }

    .navbar-collapse {
        background: rgba(255,255,255,0.8);
        position: fixed;
        right: 0; top: 56px;
        z-index: 50; padding: 0 15px; margin: 0;
    }

    .navbar-nav .nav-link {
        font-size: 1em;
        font-weight: 300;;
        color: #212529;
    }

}

body.video {
    background: rgb(244,255,255);
    background: linear-gradient(0deg, rgba(244,255,255,1) 0%, rgba(255,255,255,1) 50%, rgba(211,233,255,1) 100%); 
    display: flex;
    flex-direction: column;    
}

body.video header {
    background: #fff;
    z-index: 10;
    position: relative;
}

body.video #videoplayer {
    flex-grow: 1;
    height: 100%;
    position: relative;
}


body.video #videoplayer video {
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0; width: 100%; height: 100%;
    object-fit: contain;
    pointer-events: none;
    background: transparent;
    transition: opacity 0.5s ease-in-out;
    opacity: 0;
}
body.video #videoplayer .cover {
    opacity: 1;
    cursor: pointer;
    pointer-events: all;
    background-color: transparent;
    background-image: url(../img/play.svg);
    background-position:  50% 50%;
    background-size: 100px 100px;
    background-repeat: no-repeat;
    position: absolute;
    transition: opacity 0.5s ease-in-out;
    animation: .8s beat infinite;
    top: 0; left: 0; right: 0; bottom: 0; width: 100%; height: 100%;    
}

body.video #videoplayer .thumb {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
    position: absolute;
    top: 0; left: 0; pointer-events: none;
    width: 100%; height: 100%;
    background-position: 50% 50%;
    background-color: transparent;
    background-size: contain;
    background-repeat: no-repeat;
    filter: blur(5px);    
}
body.video #videoplayer .thumb.active {
    opacity: 0.8;
}
body.video.started #videoplayer .thumb.active {
    opacity: 0;
}



body.video.started #videoplayer video {
    opacity: 1;
}

body.video.started #videoplayer .cover {
    background-color: rgba(255,255,255,0.7);
    animation: none;
}

body.video.active #videoplayer video {
    opacity: 1;
    pointer-events: all;
}
body.video.active #videoplayer .cover {
    opacity: 0;
    pointer-events: none;
}


body.video .navbar-brand {
    color: #3A3A3A;
    text-decoration: none;
    font-size: 1.5em;
}

.sub .dropdown-item  {
    padding-left: 2.5rem;
}

@media screen and (max-width: 991.98px) {
    body.video .navbar {
        position: fixed;
        top: -500px; left: -500px; width: 10px;
    }
    body.video .navbar .dropdown {
        position: fixed;
        top: 0; right: 0; background: rgba(255,255,255,0.8);
    }
    body.video .navbar .dropdown .dropdown-menu {
        top: 28px;
        right: 0;
        position: fixed;
        left: auto;
    }
    body.video #videoplayer video {
        position: fixed;
        top: 0; left: 0; width: 100vw; height: 100vh;
    }
    #navbarDropdownMenuLink { height: 38px; }    
}

@media screen and (max-width: 991.98px) and (orientation:portrait) {
    body.video #videoplayer video {
        position: fixed;
        transform: rotate(90deg);
        transform-origin: bottom left;
        width: 100vh;
        height: 100vw;
        margin-top: -100vw;
        object-fit: contain;
    }
    body.video #videoplayer .thumb {
        transform: rotate(90deg);
        transform-origin: bottom left;
        width: 100vh;
        height: 100vw;
        margin-top: -100vw;        
    }
    body.video .navbar .dropdown {
        position: fixed;
        bottom: 0; top: auto;
        right: -6px;
        background: rgba(255,255,255,0.8);
        transform: rotate(90deg);
    }


}

.btn-primary {
    border-color: #4A99D3;
    background-color: #4A99D3;
}

body.contact main {
    padding-top: 5em;
}

.frame {
    padding: 50px;
    background: rgba(255,255,255,0.8);
    border-radius: 20px;
    box-shadow: 5px 5px 20px rgba(0,0,0,0.1);
}

@media screen and (max-width: 991.98px) {
    .frame {
        padding: 15px;
    }
}

#ambilight {
    filter: blur(80px) opacity(0.5) saturate(300%); 
    left: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    transform: scale(1.2);
    width: 100%;
    z-index: -1;
    height: 100%;
}

@keyframes beat {
    0% {
      transform: scale(1);
    }
    25% {
      transform: scale(1.1);
    }
    40% {
      transform: scale(1);
    }
    60% {
      transform: scale(1.1);
    }
    100% {
      transform: scale(1);
    }
}


.navbar .dropdown-menu {
margin-top: 10px;
box-shadow: none;
border: 0;
border-radius: 0;
background: rgba(255,255,255,0.8);
}

header nav {
    background-color: transparent;
    transition: background-color 0.5s ease-in-out;
}

header.fill nav {
    background-color: rgba(255,255,255,0.8);
}


#pwform {
    position:fixed;
    top:50%;left:50%;
    margin-left:-150px;margin-top:-50px;
    width:300px;height:100px;
    border:1px solid #ddd;
    border-radius:15px; 
    text-align:center;
    padding:10px;
    box-shadow:0 0 25px rgba(0,0,0,0.1);background:#fff;
}